Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061710 - [RFE] configure and enable openstack-cinder-backup service
Summary: [RFE] configure and enable openstack-cinder-backup service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Francesco Vollero
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 13:33 UTC by Giulio Fidente
Modified: 2016-04-26 20:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 19:20:52 UTC


Attachments (Terms of Use)

Description Giulio Fidente 2014-02-05 13:33:31 UTC
Description of problem:
the "openstack-cinder-backup" service is not enabled by default with RDO M2 on Fedora 20

It works fine (when Swift is deployed) by just issueing manually "systemctl enable openstack-cinder-backup" and later start it

Comment 1 Giulio Fidente 2014-02-05 13:34:27 UTC
RDO M2 version of openstack-cinder I got installed on Fedora f20 is openstack-cinder-2014.1-0.2.b1.fc21

Comment 2 Eric Harney 2014-02-05 13:42:41 UTC
It's up to the deployment mechanism to enable the service -- this needs to be reassigned to Packstack or Foreman.  None of the OpenStack packages do this for any services, to my knowledge.

Comment 3 Giulio Fidente 2014-02-05 14:13:19 UTC
thanks Eric, moving to openstack-packstack

Comment 4 Giulio Fidente 2014-02-05 14:53:40 UTC
this affects openstack-packstack-2013.2.1-0.29.dev956.fc20

Comment 5 Lars Kellogg-Stedman 2015-03-20 19:20:52 UTC
Support for cinder-backup was added in https://review.openstack.org/#/c/59992/ and is available in current openstack-packstack releases.


Note You need to log in before you can comment on or make changes to this bug.